# AbstractRequestCallFactory - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.Ktor.base / AbstractRequestCallFactory

# AbstractRequestCallFactory

(common) `abstract class AbstractRequestCallFactory : KtorCallFactory` (source)

### Constructors

(common)

#### <init>

`AbstractRequestCallFactory()`

### Functions

(common)

#### prepareCall

`open suspend fun <T : Any> prepareCall(client: HttpClient, baseUrl: String, request: Request<T>): HttpStatement?`

(common)

#### prepareCallBody

`abstract fun <T : Any> prepareCallBody(client: HttpClient, baseUrl: String, request: Request<T>): Any?`

### Inheritors

(common)

#### MultipartRequestCallFactory

`class MultipartRequestCallFactory : AbstractRequestCallFactory`

(common)

#### SimpleRequestCallFactory

`class SimpleRequestCallFactory : AbstractRequestCallFactory`